[BETA] DirectAdmin-APT for Debian

Yikes2000

Verified User
Joined
Jul 17, 2004
Messages
57
I am pleased to announce the beta release of DirectAdmin-APT (DA-APT) for Debian. It is a collection of Debian packages that conforms DirectAdmin to Debian's APT system. The benefits include:

. . .* Better integration with Debian.
. . .* Prevents APT from installing programs that conflict with DirectAdmin.
. . .* DirectAdmin may use APT packages for its operation.

The last one is the most important. Debian's APT packages are easy to maintain, with extension modules readily available. Now DA can take full advantage of it.

Requirements:

. . .* Debian 3.1 (Sarge) or higher
. . .* DirectAdmin license

PLEASE BACKUP YOUR SERVER BEFORE INSTALLING DA-APT. Although this beta release has been thoroughly tested, I cannot guarantee anything. There are simply too many aspects to test fully. Therefore, please backup!

To install:

. . .# wget http://debian.hitx.net/da-apt/da-apt.sh
. . .# chmod +x da-apt.sh
. . .# ./da-apt.sh install


* New DirectAdmin: If DirectAdmin is not already installed, then da-apt.sh will install it. You will be prompted for DirectAdmin Customer ID and License ID. And the resulting DirectAdmin will use mostly APT programs through DA-APT.

* Existing DirectAdmin: If DirectAdmin is already installed, then da-apt.sh will leave it unchanged. DirectAdmin will continue to use its own version of programs (Apache, MySQL, etc), but APT will be aware of them and avoid conflicting packages.

Wiki Site:

After installation, you may switch DirectAdmin to use either its own version of programs (Apache, MySQL, Exim, etc) or APT's version. For more information, please visit the project's wiki site:

http://debian.hitx.net/da-apt/wiki
. . .
 
Last edited:

kawing05

Verified User
Joined
Nov 9, 2005
Messages
22
when I tried to install on my clean debian box, I got an error about sth called "apache_mod_frontpage x x " can not find , so my installation of DA terminated? Anyone encountered that?

How to slove it?
 

streamservice

Verified User
Joined
Dec 14, 2005
Messages
175
Location
The Netherlands
it is not workinh whit debian 3.1 in combination whit the newest direct admin (the installation doesn't finish.

Code:
Setting up da-squirrelmail (1.25.0b-1) ...
Detected DirectAdmin's SquirrelMail, skipping installation...

dpkg: dependency problems prevent configuration of da-apt:
 da-apt depends on da-exim | da-apt-exim; however:
  Package da-exim is not configured yet.
  Package da-apt-exim is not installed.
dpkg: error processing da-apt (--configure):
 dependency problems - leaving unconfigured
Setting up libhtml-tree-perl (3.18-1) ...
Setting up libwww-perl (5.803-4) ...
Setting up da-customapache (1.25.0b-1) ...
Errors were encountered while processing:
 da-exim
 da-apt
E: Sub-process /usr/bin/dpkg returned an error code (1)
ERROR: DA-Apt installation failed.
Aborted.
 

Yikes2000

Verified User
Joined
Jul 17, 2004
Messages
57
Could you PM me the entire installation log?

Code:
# script install.log
# ./da-apt.sh install
# exit
Looks to me that da-exim wasn't able to configure itself on your system. I tested the installation again tonight on my test server runnig Sarge with DA 1.25.5 pre-installed, and it completed without error.
 

Yikes2000

Verified User
Joined
Jul 17, 2004
Messages
57
That's odd. :)

"script install.log" merely saves the installation output (what you see during installation) to the file install.log. Otherwise it has no effect on the install.

Glad it's working for you now though.
 

saban

Verified User
Joined
Oct 7, 2005
Messages
5
Does this script installs the latest stable DA on Debian 3.1 Sarge without any bugs ?
 

PC-Drivers

Verified User
Joined
May 6, 2005
Messages
22
server1:~# ./da-apt.sh install
Update DA-Apt

./da-apt.sh: line 281: /usr/local/directadmin/scripts/debian/scripts/base-do: No such file or directory
server1:~#
 

Yikes2000

Verified User
Joined
Jul 17, 2004
Messages
57
Yes. I'm using DA-Apt on a VPS right now. Please contact me directly if you have problems. DA-Apt relies on Aptitiude. And Aptitude tends to be quite finicky if not properly configured.
 

Sazpaimon

Verified User
Joined
Mar 20, 2007
Messages
17
Is this project dead? Is there any way it can be jumpstarted? I notice that it's still using Apache 1.3, is there any way to get it to work with Apache 2.x?
 

nobaloney

NoBaloney Internet Svcs - In Memoriam †
Joined
Jun 16, 2003
Messages
26,119
Location
California
There are many posts on these forums covering installing Apache2 through CustomApache. DA uses CustomApache (found in /usr/local/directadmin/customapache) to update Apache and it's dependencies; if you do it any other way you're entirely on your own.

The original poster posted last on these forums on November 8, 2006. That's over four months ago. You might try leaving him a private message.

Jeff
 

SeLLeRoNe

Super Moderator
Joined
Oct 9, 2004
Messages
6,793
Location
A Coruña, Spain
Hi,

i got this:

ERROR: DA-Apt requires Debian 3.1 or above.

Using Debian 4.0

I have to change something or this script dont work on that version of debian?

thanks
 

Virtus

Verified User
Joined
Aug 22, 2007
Messages
10
Tried using this on Debian 4.0

First I got the warning that it needed Debian 3.1 or higher, so I just changed the /etc/debian_version from 4.0 to 3.1

After that, da-apt.sh ran perfectly untill...

Code:
Setting up autoconf (2.61-4) ...

Setting up autotools-dev (20060702.1) ...
Setting up automake1.4 (1.4-p6-12) ...

Setting up libltdl3 (1.5.22-4) ...

Setting up libdevel-symdump-perl (2.03-3) ...
Setting up da-customapache (1.25.0b-1) ...
Setting up da-exim (1.25.0b-1) ...
Installing DirectAdmin's Exim4 server...
dpkg-deb: failed to read archive `da_exim-4.51.deb': No such file or directory
dpkg: error processing da-exim (--configure):
 subprocess post-installation script returned error exit status 2
Setting up da-mysql (1.25.0b-1) ...
Detected DirectAdmin's MySQL server, skipping installation...

Setting up da-phpmyadmin (1.25.0b-1) ...
Detected DirectAdmin's phpMyAdmin, skipping installation...

Setting up da-proftpd (1.25.0b-1) ...
Installing DirectAdmin's ProFTPd server...
Starting proftpd: /etc/init.d/proftpd: line 28: /usr/sbin/proftpd: No such file or directory


Setting up da-squirrelmail (1.25.0b-1) ...
Detected DirectAdmin's SquirrelMail, skipping installation...

dpkg: dependency problems prevent configuration of da-apt:
 da-apt depends on da-exim | da-apt-exim; however:
  Package da-exim is not configured yet.
  Package da-apt-exim is not installed.
dpkg: error processing da-apt (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 da-exim
 da-apt
E: Sub-process /usr/bin/dpkg returned an error code (1)
ERROR: DA-Apt installation failed.
Aborted.
and trying to run it now just gives
Code:
marie:~# ./da-apt.sh install
Update DA-Apt

Checking DirectAdmin for compatiblitily...
######################
##  UPGRADE FAILED  ##
######################
Reason: Unknown DirectAdmin version.  Please try again tomorrow.
 
Top